# dask.array.moment

dask.array.moment(a, order, axis=None, dtype=None, keepdims=False, ddof=0, split_every=None, out=None)

  Calculate the nth centralized moment.

  Parameters:
    a Array

      Data over which to compute moment

    order int

      Order of the moment that is returned, must be >= 2.

    axis int, optional

      Axis along which the central moment is computed. The default is to compute the moment of the flattened array.

    dtype data-type, optional

      Type to use in computing the moment. For arrays of integer type the default is float64; for arrays of float types it is the same as the array type.

    keepdims bool, optional

      If this is set to True, the axes which are reduced are left in the result as dimensions with size one. With this option, the result will broadcast correctly against the original array.

    ddof int, optional

      “Delta Degrees of Freedom”: the divisor used in the calculation is N - ddof, where N represents the number of elements. By default ddof is zero.

  Returns:
    moment Array

  References

  [1]

  Pebay, Philippe (2008), “Formulas for Robust, One-Pass Parallel Computation of Covariances and Arbitrary-Order Statistical Moments”, Technical Report SAND2008-6212, Sandia National Laboratories.